Множественные уязвимости в eTicket

Дата публикации:
14.01.2008
Дата изменения:
01.07.2008
Всего просмотров:
849
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2008-0266
CVE-2008-0267
CVE-2008-0268
CVE-2008-0093
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
Неавторизованное изменение данных
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
eTicket 1.x
Уязвимые версии: eTicket 1.5.5.2, возможно более ранние версии

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю произвести XSS нападение и выполнить произвольные SQL команды в базе данных приложения.

1. Уязвимость существует из-за недостаточной обработки входных данных в параметрах "Name" и "Subject" при открытии тикета. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

2. Уязвимость существует из-за недостаточной обработки входных данных в параметре "s" в сценарии view.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта. Для успешной эксплуатации уязвимости пользователь должен быть авторизован в приложении, или пройти авторизацию после нажатия на специально сформированную ссылку.

3. Уязвимость существует из-за недостаточной обработки входных данных в параметре "status" в сценарии search.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения.

4. Уязвимость существует из-за недостаточной обработки входных данных в параметрах "msg" и "password" в сценарии admin.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения.

URL производителя: eticket.sourceforge.net

Решение: Установите последнюю версию 1.5.6-RC4 с сайта производителя.

или введите имя

CAPTCHA